writebuffer(1)

NAME
writebuffer - write output to devices which don't like constant stopping and starting

SYNOPSIS
writebuffer [--mlock] [size]

DESCRIPTION
writebuffer reads data on standard input and writes it to standard output. It will buffer internally up to size megabytes and will only write data when the buffer is at least 75% full or when there is no more input to fill the buffer.

size may also be suffixed with m, k, or b to indicate that it is in megabytes (2^20), kilobytes (2^10) or bytes.

It is intended for use in situations where many small writes are undesirable for performance reasons, e.g. tape drives.

OPTIONS

--mlock
    Calls mlock(2) to lock the buffer into memory.

SEE ALSO
readbuffer(1), mlock(2)